## org.codehaus.groovy.ast.stmt
Class EmptyStatement

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.stmt.Statement
              org.codehaus.groovy.ast.stmt.EmptyStatement

    public class EmptyStatement

extends Statement

Represents an empty statement

Version:
  $Revision: 6778 $
Author:
  James Strachan

Field Summary
`static EmptyStatement` `INSTANCE`

Constructor Summary
`EmptyStatement()`

Method Summary
`boolean` `isEmpty()`
`void` `visit(GroovyCodeVisitor visitor)`

Methods inherited from class org.codehaus.groovy.ast.stmt.Statement
`getStatementLabel, setStatementLabel`

Methods inherited from class org.codehaus.groovy.ast.ASTNode
`getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setSourcePosition`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final EmptyStatement INSTANCE

Constructor Detail

### EmptyStatement

    public EmptyStatement()

Method Detail

### visit

    public void visit(GroovyCodeVisitor visitor)

  Overrides:
    `visit` in class `ASTNode`

### isEmpty

    public boolean isEmpty()

  Overrides:
    `isEmpty` in class `Statement`

Copyright © 2003-2008 The Codehaus. All rights reserved.